<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_reference.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
<h1>vx_reference.h</h1><a href="vx__reference_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment"> * Copyright (c) 2012-2016 The Khronos Group Inc.</span>
<a name="l00003"></a>00003 <span class="comment"> *</span>
<a name="l00004"></a>00004 <span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a</span>
<a name="l00005"></a>00005 <span class="comment"> * copy of this software and/or associated documentation files (the</span>
<a name="l00006"></a>00006 <span class="comment"> * &quot;Materials&quot;), to deal in the Materials without restriction, including</span>
<a name="l00007"></a>00007 <span class="comment"> * without limitation the rights to use, copy, modify, merge, publish,</span>
<a name="l00008"></a>00008 <span class="comment"> * distribute, sublicense, and/or sell copies of the Materials, and to</span>
<a name="l00009"></a>00009 <span class="comment"> * permit persons to whom the Materials are furnished to do so, subject to</span>
<a name="l00010"></a>00010 <span class="comment"> * the following conditions:</span>
<a name="l00011"></a>00011 <span class="comment"> *</span>
<a name="l00012"></a>00012 <span class="comment"> * The above copyright notice and this permission notice shall be included</span>
<a name="l00013"></a>00013 <span class="comment"> * in all copies or substantial portions of the Materials.</span>
<a name="l00014"></a>00014 <span class="comment"> *</span>
<a name="l00015"></a>00015 <span class="comment"> * MODIFICATIONS TO THIS FILE MAY MEAN IT NO LONGER ACCURATELY REFLECTS</span>
<a name="l00016"></a>00016 <span class="comment"> * KHRONOS STANDARDS. THE UNMODIFIED, NORMATIVE VERSIONS OF KHRONOS</span>
<a name="l00017"></a>00017 <span class="comment"> * SPECIFICATIONS AND HEADER INFORMATION ARE LOCATED AT</span>
<a name="l00018"></a>00018 <span class="comment"> *    https://www.khronos.org/registry/</span>
<a name="l00019"></a>00019 <span class="comment"> *</span>
<a name="l00020"></a>00020 <span class="comment"> * THE MATERIALS ARE PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND,</span>
<a name="l00021"></a>00021 <span class="comment"> * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF</span>
<a name="l00022"></a>00022 <span class="comment"> * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.</span>
<a name="l00023"></a>00023 <span class="comment"> * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY</span>
<a name="l00024"></a>00024 <span class="comment"> * CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,</span>
<a name="l00025"></a>00025 <span class="comment"> * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE</span>
<a name="l00026"></a>00026 <span class="comment"> * MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.</span>
<a name="l00027"></a>00027 <span class="comment"> */</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="preprocessor">#ifndef VX_REFERENCE_H_</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">#define VX_REFERENCE_H_</span>
<a name="l00033"></a>00033 <span class="preprocessor"></span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00037"></a>00037 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00038"></a>00038 <span class="preprocessor">#endif</span>
<a name="l00039"></a>00039 <span class="preprocessor"></span>
<a name="l00052"></a><a class="code" href="group__group__vx__reference.html#gacd45d0c17bdc4c34ffc0c1c00c000617">00052</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> _tivx_reftype_e {
<a name="l00053"></a><a class="code" href="group__group__vx__reference.html#ggacd45d0c17bdc4c34ffc0c1c00c000617a2dcb643ac40c572517e64e34a936f2bb">00053</a>     <a class="code" href="group__group__vx__reference.html#ggacd45d0c17bdc4c34ffc0c1c00c000617a2dcb643ac40c572517e64e34a936f2bb">VX_INTERNAL</a> = 1,
<a name="l00054"></a><a class="code" href="group__group__vx__reference.html#ggacd45d0c17bdc4c34ffc0c1c00c000617a8625931f75a452b1522c56c4efa859ab">00054</a>     <a class="code" href="group__group__vx__reference.html#ggacd45d0c17bdc4c34ffc0c1c00c000617a8625931f75a452b1522c56c4efa859ab">VX_EXTERNAL</a> = 2,
<a name="l00055"></a><a class="code" href="group__group__vx__reference.html#ggacd45d0c17bdc4c34ffc0c1c00c000617ab955e8dc192ab3f60269b09d3d83398c">00055</a>     <a class="code" href="group__group__vx__reference.html#ggacd45d0c17bdc4c34ffc0c1c00c000617ab955e8dc192ab3f60269b09d3d83398c">VX_BOTH</a> = 3,
<a name="l00056"></a>00056 } <a class="code" href="group__group__vx__reference.html#gacd45d0c17bdc4c34ffc0c1c00c000617" title="An internal enum for notating which sort of reference type we need.">tivx_reftype_e</a>;
<a name="l00057"></a>00057 
<a name="l00062"></a><a class="code" href="group__group__vx__reference.html#ga8e985f6c4f883699f2b91dae32f95c8b">00062</a> <span class="keyword">typedef</span> <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> (*<a class="code" href="group__group__vx__reference.html#ga8e985f6c4f883699f2b91dae32f95c8b" title="Callback type used to register different callbacks from object dervied from references...">tivx_reference_callback_f</a>)(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref);
<a name="l00063"></a>00063 
<a name="l00068"></a><a class="code" href="group__group__vx__reference.html#gad1343c102ae5c3085acc4fcd86d1ebb7">00068</a> <span class="keyword">typedef</span> <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> (* <a class="code" href="vx__types_8h.html#aafbf3083f20518b915e89d73e26fe237">VX_API_CALL</a> tivx_reference_release_callback_f)(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> *ref);
<a name="l00069"></a>00069 
<a name="l00075"></a><a class="code" href="structtivx__reference__t.html">00075</a> <span class="keyword">typedef</span> <span class="keyword">struct </span>_vx_reference {
<a name="l00076"></a>00076 
<a name="l00078"></a><a class="code" href="structtivx__reference__t.html#a1ddc639bc476ab1eec28de9a264f28cd">00078</a>     uint32_t magic;
<a name="l00079"></a>00079 
<a name="l00081"></a><a class="code" href="structtivx__reference__t.html#ab426d5bb07f9725e5a71a6d84e58b81c">00081</a>     <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> type;
<a name="l00082"></a>00082 
<a name="l00086"></a><a class="code" href="structtivx__reference__t.html#a2d32696383b6ba91da028b4d1ae6ff7b">00086</a>     <a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context;
<a name="l00087"></a>00087 
<a name="l00093"></a><a class="code" href="structtivx__reference__t.html#ac5f7c7cef208efccb8a400470d6b6611">00093</a>     <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> scope;
<a name="l00094"></a>00094 
<a name="l00096"></a><a class="code" href="structtivx__reference__t.html#a2f4a238aac75334b52e1b9a52a576194">00096</a>     <span class="keywordtype">char</span> name[VX_MAX_REFERENCE_NAME];
<a name="l00097"></a>00097 
<a name="l00102"></a><a class="code" href="structtivx__reference__t.html#a642d6c4ea88ea88f63fc426a4ab33fe2">00102</a>     <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> external_count;
<a name="l00103"></a>00103 
<a name="l00107"></a><a class="code" href="structtivx__reference__t.html#a6f9a5f3dcba8c5228dca31493f98f742">00107</a>     <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> internal_count;
<a name="l00108"></a>00108 
<a name="l00111"></a><a class="code" href="structtivx__reference__t.html#a8aa4044294f8eb1c30ce4d09afd1c4fa">00111</a>     <a class="code" href="group__group__vx__reference.html#ga8e985f6c4f883699f2b91dae32f95c8b" title="Callback type used to register different callbacks from object dervied from references...">tivx_reference_callback_f</a> mem_alloc_callback;
<a name="l00112"></a>00112 
<a name="l00116"></a><a class="code" href="structtivx__reference__t.html#a9263b6aa76840e5254d766e9567af7dd">00116</a>     <a class="code" href="group__group__vx__reference.html#ga8e985f6c4f883699f2b91dae32f95c8b" title="Callback type used to register different callbacks from object dervied from references...">tivx_reference_callback_f</a> destructor_callback;
<a name="l00117"></a>00117 
<a name="l00120"></a><a class="code" href="structtivx__reference__t.html#a68918255893d2784a3aa9ac6ad638edf">00120</a>     tivx_reference_release_callback_f release_callback;
<a name="l00121"></a>00121 
<a name="l00123"></a><a class="code" href="structtivx__reference__t.html#a743a14f09405c30f5f39e36bde0beaef">00123</a>     <a class="code" href="group__group__tivx__mutex.html#gaca8bf54b8519ecd4c6aa8368286bde45" title="Typedef for a mutex.">tivx_mutex</a> lock;
<a name="l00124"></a>00124 
<a name="l00125"></a>00125     <span class="comment">/* \brief This indicates if the object belongs to a delay */</span>
<a name="l00126"></a><a class="code" href="structtivx__reference__t.html#af655518f6f2a7e179d828e95c1a74ce8">00126</a>     <a class="code" href="vx__types_8h.html#a2c6de63476aff4a009bac8d0eb9800d1" title="The delay object. This is like a ring buffer of objects that is maintained by the...">vx_delay</a> delay;
<a name="l00127"></a>00127     <span class="comment">/* \brief This indicates the original delay slot index when the object belongs to a delay */</span>
<a name="l00128"></a><a class="code" href="structtivx__reference__t.html#a1caf1c5feb88111ebb5e38a4da188bd9">00128</a>     <a class="code" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737" title="A 32-bit signed value.">vx_int32</a> delay_slot_index;
<a name="l00129"></a>00129 
<a name="l00131"></a><a class="code" href="structtivx__reference__t.html#ae599ad74e0f2733829ae0e99c666a1fc">00131</a>     <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> is_virtual;
<a name="l00132"></a>00132 
<a name="l00136"></a><a class="code" href="structtivx__reference__t.html#afcce2c06f3667f29ef1688dbd8542f05">00136</a>     <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> is_accessible;
<a name="l00137"></a>00137 
<a name="l00139"></a><a class="code" href="structtivx__reference__t.html#a1f5d87219e4c59beee89ad61376ef464">00139</a>     <a class="code" href="structtivx__obj__desc__t.html" title="Object descriptor.">tivx_obj_desc_t</a> *obj_desc;
<a name="l00140"></a>00140 } <a class="code" href="structtivx__reference__t.html" title="The most basic type in the OpenVX system. Any type that inherits from tivx_reference_t...">tivx_reference_t</a>;
<a name="l00141"></a>00141 
<a name="l00152"></a>00152 <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> <a class="code" href="group__group__vx__reference.html#ga4de1be80a5e70c18cd1b6a0693fbdb47" title="Create a reference object.">ownCreateReference</a>(<a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context, <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> type, <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> reftype, <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> scope);
<a name="l00153"></a>00153 
<a name="l00161"></a>00161 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__reference.html#gac3ad1447b01e8ce0806adfa8447590c3" title="Used to destroy a reference.">ownReleaseReferenceInt</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> *ref,
<a name="l00162"></a>00162                         <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> type,
<a name="l00163"></a>00163                         <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> reftype,
<a name="l00164"></a>00164                         <a class="code" href="group__group__vx__reference.html#ga8e985f6c4f883699f2b91dae32f95c8b" title="Callback type used to register different callbacks from object dervied from references...">tivx_reference_callback_f</a> destructor);
<a name="l00165"></a>00165 
<a name="l00171"></a>00171 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__vx__reference.html#gab8dc3b7c601b6cb800b5194f35facb08" title="Used to validate everything but vx_context, vx_image.">ownIsValidSpecificReference</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref, <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> type);
<a name="l00172"></a>00172 
<a name="l00177"></a>00177 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__reference.html#ga46261af73a663a9ced354739f57100d1" title="Lock the reference.">ownReferenceLock</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref);
<a name="l00178"></a>00178 
<a name="l00183"></a>00183 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__reference.html#gaecb8495533f11379e448b826a0bcdbf3" title="Unlock the reference.">ownReferenceUnlock</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref);
<a name="l00184"></a>00184 
<a name="l00190"></a>00190 <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> <a class="code" href="group__group__vx__reference.html#ga8a250ea2cd1c516ba57798a360de4bc1" title="Increments the ref count.">ownIncrementReference</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref, <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> reftype);
<a name="l00191"></a>00191 
<a name="l00197"></a>00197 <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> <a class="code" href="group__group__vx__reference.html#gac4bd5051397559d84a544f09de52191c" title="Decrements the ref count.">ownDecrementReference</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref, <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> reftype);
<a name="l00198"></a>00198 
<a name="l00203"></a>00203 <a class="code" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c" title="A 32-bit unsigned value.">vx_uint32</a> <a class="code" href="group__group__vx__reference.html#gabf65108598010b9690afdbc4893fb36c" title="Returns the total reference count of the object.">ownTotalReferenceCount</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref);
<a name="l00204"></a>00204 
<a name="l00209"></a>00209 <span class="keywordtype">void</span> <a class="code" href="group__group__vx__reference.html#gad786153df931e4dceafba594c6bb0d3b" title="Print reference information.">ownPrintReference</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref);
<a name="l00210"></a>00210 
<a name="l00216"></a>00216 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__vx__reference.html#ga7b73cbb59de6fb75e986948c92b399e1" title="This returns true if the type is within the definition of types in OpenVX.">ownIsValidType</a>(<a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> type);
<a name="l00217"></a>00217 
<a name="l00228"></a>00228 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__reference.html#ga9ce862d27a2efc3e6ab316f0f5ce166f" title="Init a reference object.">ownInitReference</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref, <a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context, <a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> type, <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> scope);
<a name="l00229"></a>00229 
<a name="l00230"></a>00230 
<a name="l00238"></a>00238 <a class="code" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0" title="A Boolean value. This allows 0 to be FALSE, as it is in C, and any non-zero to be...">vx_bool</a> <a class="code" href="group__group__vx__reference.html#gaa07eb506d2b93ac98c0713861dc93c53" title="Check if reference is valid.">ownIsValidReference</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref);
<a name="l00239"></a>00239 
<a name="l00246"></a>00246 <span class="keywordtype">void</span> <a class="code" href="group__group__vx__reference.html#gaa2473ba58425fd73de7e9269f694a149" title="Used to initialize any vx_reference as a delay element.">ownInitReferenceForDelay</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref, <a class="code" href="vx__types_8h.html#a2c6de63476aff4a009bac8d0eb9800d1" title="The delay object. This is like a ring buffer of objects that is maintained by the...">vx_delay</a> d, <a class="code" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737" title="A 32-bit signed value.">vx_int32</a> index);
<a name="l00247"></a>00247 
<a name="l00251"></a>00251 <a class="code" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0" title="A formal status type with known fixed size.">vx_status</a> <a class="code" href="group__group__vx__reference.html#gad42635678483ae9c930688bb56b9cf90" title="Alloc memory associated with this reference, typically data reference.">ownReferenceAllocMem</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref);
<a name="l00252"></a>00252 
<a name="l00256"></a>00256 <a class="code" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324" title="A wrapper of size_t to keep the naming convention uniform.">vx_size</a> <a class="code" href="group__group__vx__reference.html#ga8a824924e3547a69b56d03d93d6faab8" title="Get the size of the Type enum.">ownSizeOfEnumType</a>(<a class="code" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85" title="Sets the standard enumeration type size to be a fixed quantity.">vx_enum</a> item_type);
<a name="l00257"></a>00257 
<a name="l00258"></a>00258 
<a name="l00262"></a>00262 <span class="keywordtype">void</span> <a class="code" href="group__group__vx__reference.html#ga6290c7e47db2bb4c7451a59e68b6dc2d" title="Set scope of a reference.">ownReferenceSetScope</a>(<a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> ref, <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> scope);
<a name="l00263"></a>00263 
<a name="l00264"></a>00264 
<a name="l00268"></a>00268 <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> <a class="code" href="group__group__vx__reference.html#ga8bcc2ede5b5fbb5370ea129ff215c2aa" title="Create reference from a exemplar object.">ownCreateReferenceFromExemplar</a>(
<a name="l00269"></a>00269     <a class="code" href="vx__types_8h.html#a0f4f894d935fbf50bf38b3529a001249" title="An opaque reference to the implementation context.">vx_context</a> context, <a class="code" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3" title="A generic opaque reference to any object within OpenVX.">vx_reference</a> exemplar);
<a name="l00270"></a>00270 
<a name="l00271"></a>00271 <span class="preprocessor">#ifdef __cplusplus</span>
<a name="l00272"></a>00272 <span class="preprocessor"></span>}
<a name="l00273"></a>00273 <span class="preprocessor">#endif</span>
<a name="l00274"></a>00274 <span class="preprocessor"></span>
<a name="l00275"></a>00275 <span class="preprocessor">#endif</span>
</pre></div></div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
